Introduction

Trending is an add-on module to the IQmark Digital Spirometry software that uses SpiroTrendX, an ActiveX control. It allows the user to compare different spirometry measurements over time so that changes in patient’s condition can be easily seen in graphical and tabular form.

The following features are available in the Trending software:

  • Select from one to ten different spirometer measurements to trend at one time.

  • Select the length of time to compare, from a minimum of 2 sessions, to any arbitrary number of sessions to all test sessions stored for a patient.

  • Provide comparison between two individual tests, i.e. the best test in one session against the best test in another session.

  • Provide comparison between actual and predicted measurements.

  • Provide changes over a selected period of time, i.e. the oldest test session against the latest test session.

  • Choice of Pre-Bronchodilator tests only or Post-Bronchodilator tests only.

  • Provide tabular and graphical displays for easy comparison.

  • Color-coded graphic displays for easy identification.

  • Print and display trend measurement in tabular format.

  • Print and display graphical Flow/Volume (F/V) reports in overlay or side-by-side formats.


Spiro Trend Selection Screen

Spirometry Trend Selection

The Spirometry Trend Selection screen is displayed when the user clicks the [image] button from the Review and Edit screen of the Workstation.

The default settings are All Reports, Pre-Bronchodilator Tests and View Report.

Report Selection – Trend Selections

All Reports -- Default. Selects all the reports in the list box.

Select From List -- This will enable the report list box so the user can select individual reports. If this option is selected, the user can pick and choose the sessions to trend (see Spirometry Trend Settings).

Test Selection

Pre-Bronchodilator -- If checked, all trended values will be taken from the best Pre-BD test of the session.

Post-Bronchodilator -- If checked, all trended values will be taken from the best Post-BD test of the session.

Action

View Report -- If checked, the software will display the Trending screen. The user can then choose to print the trending reports from the Trending screen.

Print Report -- If checked, the report will be printed to the default printer when the user selects the OK button. The Trending screen will briefly display and then return the user to the Review and Edit screen.


Spirometry Trending Page

Spirometry Trend Settings Page

The Spirometry Trending settings page allows the user to choose trend settings for display or printing. The left and right axis scales are independent of each other. The left axis always displays volume parameters in liters. The right axis may display either percentage parameters or flow parameters.

Volume Parameters

Measurements -- Lists volume measurements selected for the left hand axis.

Predicted -- Lists predicted values for volume measurements for the left hand axis.

Right Axis Parameters

None -- Disables the right axis trend.

Flow -- If checked, the right axis will be for trending flow measurements.

Percent -- If checked, the right axis will be for trending percentage measurements.

Measurements -- Lists flow or percentage measurements selected for the right hand axis.

Predicted -- Lists predicted values for flow or percentage measurements for the right hand axis.

Select (4 places)

Brings up the spirometry Trend Parameter Selection dialog box to allow users to select the measurements to trend.

Report Selection – Spirometry Settings

Side By Side F/V Loops -- If checked, the F/V Loops will be displayed and printed in a side-by-side fashion.

Overlay F/V Loops -- If checked, the F/V Loops will be displayed and printed in an overlaid fashion.

Default F/V Display

Side By Side -- If selected, the Side By Side F/V Loop screen is displayed as the default when the user clicks on the View F/V Loops button in the Trending screen.

Overlay -- If selected, the Overlay F/V Loop screen is displayed as the default when the user clicks on the View F/V Loops button in the Trending screen.

Total Selected -- Indicates the total number of parameters selected for printing.

Maximum Allowed -- Displays the maximum number of trended parameters allowed (10).


Trended Parameter Selection Dialog

Trend Parameter Selection Box

This dialog box allows a user to select which parameters to trend. There are six possible sets of parameters that can be selected in this dialog. They are:

  1. Volume measurements

  2. Volume predicted values

  3. Percentage measurements

  4. Percentage predicted values

  5. Flow measurements

  6. Flow predicted values

To add an item to the Selected Measurements list box, select the item in the Available Measurements list box, then press the [image] button. This will place the new item at the bottom of the list.

To insert an item in between or above existing items in the Selected Measurements list box, select the item in the Selected Measurements list box that you want to place a new item above, choose an item from the Available Measurements list box. Then press the [image] button.

To remove an item from the Selected Measurements list box, select the item to be removed, press the [image] button.

To start a new list with no items selected, press the [image] button.


Trend Display Screen

The Trending screen is the main screen of the Spirometry trending control. It consists of a trending chart, a measurement grid and several buttons.

The chart plots volume parameters on the left axis. The right axis is optional and can display either percentage parameters or flow parameters depending upon the configuration setting. The horizontal axis represents time, spanning from the date of the earliest session to the latest session.

Each trended parameter is a data series and is built from the values from the best Pre-BD or best Post-BD test of the spirometry sessions selected. The plot created for each parameter is represented by a different color line.

The trend displays a vertical marker that moves left or right as the user moves the mouse cursor from left to right. The software will automatically scroll the grid and highlight the report that the current marker is on. Also, if the user clicks on a grid row, the software will move the vertical marker to the data corresponding to the selected report. If the Patient Information Dialog is displayed, the trend and the grid will also interact with that dialog to reflect the current selection state.

Trend Display Screen Buttons

Save To File -- Brings up the File Save dialog box. If a valid filename is entered and the OK button is pressed, the software will save the information in the grid to a file in Microsoft Excel (*.xls) file format.

Print -- Prints the trend report to the currently selected printer. The number and type of pages printed depend on the configuration settings. Please see Spirometry Trend Settings property page.

Print Setup -- Displays the Print Setup dialog box to allow the user to select a printer.

Select Reports -- Closes this screen and returns to the Spirometry Trend Selection Dialog.

Select Items To Trend -- Displays the Spirometry Trend Settings property page. If the user changes the trended measurements, the software will update the trend and grid displays.

View F/V Loops -- Displays the Flow/Volume loops using the default screen format or the last screen format used.

View Patient Info -- Displays the Patient Information Dialog.

Help – Opens the Help file.

Review/Exit -- Exits this screen and returns to the Review and Edit screen.


Side By Side F/V Loop Screen

The Side By Side F/V Loop screen is invoked by pressing the View F/V Loops button from the Trend Display Screen or by pressing the View Side by Side button from the Overlay F/V Loop Screen. It allows the user to display the Flow/Volume loop for the best FVC test of each spirometry session. The screen shows three F/V loops at a time, with the loop to the left representing the oldest and each newer test to the right and then below.

Side By Side Screen

Immediately below the display are buttons that provide fast navigation:

First -- Displays the first, second, and third F/V loops.

Previous -- Shifts the display to show the previous series of F/V loops.

Next -- Shifts the display to show the next series of F/V loops.

Last -- Displays the last F/V loops.

Side By Side Screen Buttons

Print -- Prints the Side By Side report page(s) using the currently selected printer.

Print Setup -- Displays the Print Setup dialog box to allow the user to select a printer.

Select Reports -- Closes this screen and returns to the Spirometry Trend Selection Dialog.

Select Item To Trend -- Displays the Spirometry Trend Settings property page. If the user changes the trended parameters, the software shall update the display.

View Overlay -- Displays the Overlay F/V Loops Screen.

View Patient Info -- Displays the Patient Information Dialog.

Help – Display this Help file.

Review/Exit -- Exits this screen.


Overlay F/V Loop Screen

The Overlay F/V Loop screen is invoked by pressing the View F/V Loops button from the Trend Display Screen or by pressing the View Overlay button from the Side By Side F/V Loop screen.

It consists of a single F/V graphical display of the best FVC loop from each trended session, a chart showing the trended plots and a tabular grid showing the trended parameters.

Overlay Screen

The F/V loops are displayed in different colors. The control provides a maximum of ten colors. If the number of F/V loops exceeds ten, the control reuses the colors. The same color scheme is used in the grid control that shows the session number and date text in the color that matches the associated F/V loop.

When the user moves the vertical marker to a date or selects a point in the grid, the software will highlight the F/V loop corresponding to that report (if one exists) by drawing the loop in a different color. If the Patient Information Dialog is displayed, changing the report selection in the dialog will update the chart, the grid control and it will highlight the F/V loop in the display.

Overlay Screen Buttons

Save To File -- Brings up the File Save dialog box. If a valid filename is entered and the OK button is pressed, the software will save the information in the grid to a file in Microsoft Excel (*.xls) file format.

Print -- Prints the overlay report page(s) to the currently selected printer.

Print Setup -- Displays the Print Setup dialog box to allow the user to select a printer.

Select Reports -- Closes this screen and returns to the Spirometry Trend Selection Dialog.

Select Items To Trend -- Displays the Spirometry Trend Settings property page. If the user changes the trended parameters, the software shall update the trend and grid displays.

View Trend – Returns the screen to the Trending screen.

View Side By Side -- Displays the Side By Side F/V Loops Screen.

View Patient Info -- Displays the Patient Information Dialog.

Help – Display this Help file.

Review/Exit -- Exits this screen.


Patient Information Dialog

Patient Information Dialog Box

The Patient Information dialog is invoked by pressing the View Patient Info button from the Trend Display Screen, the Side By Side F/V Loop Screen, or the Overlay F/V Loop Screen. It is a display box only that that pops up and remains visible until the user clicks on the OK button or clicks on the Select Reports or Review/Exit buttons at the bottom of the screen.

The upper part of the dialog shows patient names, ID, sex and race. The lower portion of the dialog shows patient data that will vary from one report to the next. The report date combo box allows the user to select the spirometry report from the list of all reports being trended. If the selection has changed, the software will update this data in the lower portion.

When the Spirometry Trend Screen, the Overlay F/V Loop Screen or the Side by Side F/V Loop Screen is visible, this dialog will interact with the user’s actions. For example, if the user moves the vertical marker to a report date, the dialog will automatically update the selected report in the combo box to match this report date, and then update the patient data in the lower portion of this box.

If the user selects a report date from the pull down arrow, the Spirometry Trend Screen, the Overlay F/V Loop Screen, or the Side By Side F/V Loop Screen will automatically be updated to match this selection.


Trend Cover Report Page

Trend Cover Report Pages

To print the Trend Cover Report Pages, click on the Print button from the Trend Display Screen.


Side By Side Report Page

Side By Side F/V Loop Report Pages

There are two ways to print the Side By Side F/V Loop Report pages:

  1. From the Side By Side F/V Loop Screen …

Click on Print button.

  2. From the Trend Display Screen …

    1. Click on the Select Parameter button. The Spirometry Trend Settings property page comes up.

    2. Make sure that the Side By Side F/V Loops button in the Report Selection box is checked.

    3. Save the settings.

    4. Click on the Print button. The Side By Side F/V Loop Report pages will be printed as part of the Trending pages.


Overlay F/V Loop Report Pages

There are two ways to print the Overlay F/V Loop Report pages:

  1. From the Overlay F/V Loop Screen …

Click the Print button.

  2. From the Trend Display Screen …

    1. Click on the Select Parameter button. The Spirometry Trend Settings property page comes up.

    2. Make sure that the Overlay F/V Loops button in the Report Selection box is checked.

    3. Save the settings.

    4. Click on the Print button. The Overlay F/V Loop Report pages will be printed as part of the Trending pages.


Contact MDG

Contacting Midmark Diagnostics Group.

Midmark Diagnostics Group

1125 W. 190th Street

Gardena, CA 90248

Tel: 800-624-8950

Visit the Midmark Diagnostics Web Site on the World Wide Web at:

http://www.midmarkdiagnostics.com

Or contact Midmark Diagnostics via E-Mail at:

techsupport@midmarkdiagnostics.com


Print Setup

The Print Setup button [image] displays the standard Print Setup Dialog and allows users to select the destination printer and its connection.

The user can select any printer that has previously been installed on the computer.

All of the reports from this software print in the Portrait orientation.